import 'package:json_annotation/json_annotation.dart';

part 'upload_init_data.g.dart';

@JsonSerializable()
class UploadInitData {
  UploadInitData({
    required this.filePath,
    required this.objectKey,
  });

  final String filePath;

  /// upload name (it is file content md5), without ext
  final String objectKey;

  factory UploadInitData.fromJson(Map<String, dynamic> json) =>
      _$UploadInitDataFromJson(json);
  Map<String, dynamic> toJson() => _$UploadInitDataToJson(this);
}
